<div class="ui centre aligned container segment">
  <div class="ui teal indicating active progress" data-percent="100" id="matchProgressBarID">
    <div class="bar"></div>
    <div class="label">Remaining time</div>
  </div>
  
  <div class="ui circular labels">
    <a class="ui large label">
      Connect {{subject}}
    </a>
  </div>


  <div class="ui four column grid">
      <div class="four wide column"> 
        <div class="fluid small ui vertical buttons">

          <button id = 0 [class]="leftButtonClass[0]" [disabled]="leftButtonsDisabled[0]" (click)="onLeftButtonClick($event)">{{firstColumn[0]}}</button>
          <br>
          <button id = 1 [class]="leftButtonClass[1]" [disabled]="leftButtonsDisabled[1]" (click)="onLeftButtonClick($event)">{{firstColumn[1]}}</button>
          <br>
          <button id = 2 [class]="leftButtonClass[2]" [disabled]="leftButtonsDisabled[2]" (click)="onLeftButtonClick($event)">{{firstColumn[2]}}</button>
          <br>
          <button id = 3 [class]="leftButtonClass[3]" [disabled]="leftButtonsDisabled[3]" (click)="onLeftButtonClick($event)">{{firstColumn[3]}}</button>
          <br>
          <button id = 4 [class]="leftButtonClass[4]" [disabled]="leftButtonsDisabled[4]" (click)="onLeftButtonClick($event)">{{firstColumn[4]}}</button>
          <br>
          <button id = 5 [class]="leftButtonClass[5]" [disabled]="leftButtonsDisabled[5]" (click)="onLeftButtonClick($event)">{{firstColumn[5]}}</button>
          <br>
          <button id = 6 [class]="leftButtonClass[6]" [disabled]="leftButtonsDisabled[6]" (click)="onLeftButtonClick($event)">{{firstColumn[6]}}</button>
          <br>
          <button id = 7 [class]="leftButtonClass[7]" [disabled]="leftButtonsDisabled[7]" (click)="onLeftButtonClick($event)">{{firstColumn[7]}}</button>
          <br>
          <button id = 8 [class]="leftButtonClass[8]" [disabled]="leftButtonsDisabled[8]" (click)="onLeftButtonClick($event)">{{firstColumn[8]}}</button>
          <br>
          <button id = 9 [class]="leftButtonClass[9]" [disabled]="leftButtonsDisabled[9]" (click)="onLeftButtonClick($event)">{{firstColumn[9]}}</button>
        </div>
    </div>

    <div class="one wide column">
    </div>

    <div class="four wide column">
      <div class="fluid small ui vertical buttons">

        <button id = 0 [class]="rightButtonClass" [disabled]="rightButtonsDisabled[0]" (click)="onRightButtonClick($event)">{{secondColumn[0]}}</button>
        <br>
        <button id = 1 [class]="rightButtonClass" [disabled]="rightButtonsDisabled[1]" (click)="onRightButtonClick($event)">{{secondColumn[1]}}</button>
        <br>
        <button id = 2 [class]="rightButtonClass" [disabled]="rightButtonsDisabled[2]" (click)="onRightButtonClick($event)">{{secondColumn[2]}}</button>
        <br>
        <button id = 3 [class]="rightButtonClass" [disabled]="rightButtonsDisabled[3]" (click)="onRightButtonClick($event)">{{secondColumn[3]}}</button>
        <br>
        <button id = 4 [class]="rightButtonClass" [disabled]="rightButtonsDisabled[4]" (click)="onRightButtonClick($event)">{{secondColumn[4]}}</button>
        <br>
        <button id = 5 [class]="rightButtonClass" [disabled]="rightButtonsDisabled[5]" (click)="onRightButtonClick($event)">{{secondColumn[5]}}</button>
        <br>
        <button id = 6 [class]="rightButtonClass" [disabled]="rightButtonsDisabled[6]" (click)="onRightButtonClick($event)">{{secondColumn[6]}}</button>
        <br>
        <button id = 7 [class]="rightButtonClass" [disabled]="rightButtonsDisabled[7]" (click)="onRightButtonClick($event)">{{secondColumn[7]}}</button>
        <br>
        <button id = 8 [class]="rightButtonClass" [disabled]="rightButtonsDisabled[8]" (click)="onRightButtonClick($event)">{{secondColumn[8]}}</button>
        <br>
        <button id = 9 [class]="rightButtonClass" [disabled]="rightButtonsDisabled[9]" (click)="onRightButtonClick($event)">{{secondColumn[9]}}</button>
        <br>
  
      </div>
    </div>

    <div class= "column">
      <button class="circular ui large green icon button" [disabled]="nextGameDisabled" (click)="onNextGame()">
                  Next game
      </button>
    </div>
    
  </div>
  

</div>



